Bug 965858 - handling of URLs inconsistent/confusing
handling of URLs inconsistent/confusing
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-boxes (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christophe Fergeau
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 16:53 EDT by Bill Nottingham
Modified: 2015-02-17 10:18 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:18:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2013-05-21 16:53:34 EDT
Description of problem:

If you point it to a HTTP tree for an install iso, it gives "Unsupported protocol http", instead of "URL does not point to an ISO."

Version-Release number of selected component (if applicable):

gnome-boxes-3.8.1.2-1.fc19.x86_64

How reproducible:

100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Zeeshan Ali 2013-05-22 10:27:02 EDT
(In reply to Bill Nottingham from comment #0)
> Description of problem:
> 
> If you point it to a HTTP tree for an install iso, it gives "Unsupported
> protocol http", instead of "URL does not point to an ISO."

Sorry but how is that wrong or inconsistent? We don't support installation from remote location atm.
Comment 2 Bill Nottingham 2013-05-22 16:07:16 EDT
If it doesn't support a remote installation (either tree, or iso image), then having 'Enter URL' as a choice seems misguided - people will assume that means HTTP/FTP or similar. (Well, maybe not all people. But I did!)

If it supports pulling an iso from a remote URL, then the error you get when pointing it at something that's not an iso should be something better than "Unsupported protocol http".
Comment 3 Zeeshan Ali 2013-05-23 09:34:01 EDT
(In reply to Bill Nottingham from comment #2)
> If it doesn't support a remote installation (either tree, or iso image),
> then having 'Enter URL' as a choice seems misguided - people will assume
> that means HTTP/FTP or similar. (Well, maybe not all people. But I did!)

Its not only VM media you can specify here but also oVirt URL, SPICE or VNC URL as well. Actually while you can specify URL of ISO here, that is not its prime use but the other things I mentioned and the strings on the 'Enter URL' page say that.

> If it supports pulling an iso from a remote URL, then the error you get when
> pointing it at something that's not an iso should be something better than
> "Unsupported protocol http".

We should rather catch the error while user types and give hints. Also, as I said before we need to really add support for remote URLs too.
Comment 4 Zeeshan Ali 2013-05-23 09:35:08 EDT
(In reply to Zeeshan Ali from comment #3)
> (In reply to Bill Nottingham from comment #2)
>
> > If it supports pulling an iso from a remote URL, then the error you get when
> > pointing it at something that's not an iso should be something better than
> > "Unsupported protocol http".
> 
> We should rather catch the error while user types and give hints. Also, as I
> said before we need to really add support for remote URLs too.

remote -> remote ISO.
Comment 6 Fedora End Of Life 2015-01-09 13:11:21 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 10:18:24 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.